Subject: [alpine-aports] [alpine-devel] [PATCH] new aport: spectrwm

From: Stelu <[email-masked]>
Date: Fri, 1 Jan 2016 17:27:57 +0200

spectrwm is a small dynamic tilling manager.

This time with the attached patch :)
From e175528156f59f3b1883cf1ab7d70c118b8da704 Mon Sep 17 00:00:00 2001
From: garuse <[email-masked]>
Date: Fri, 1 Jan 2016 15:16:07 +0000
Subject: [PATCH] testing/spectrwm: new package spectrwm (X11 tilling window
 manager)

---
 testing/spectrwm/APKBUILD              | 49 ++++++++++++++++++++++++++++++++++
 testing/spectrwm/spectrwm.post-install |  3 +++
 2 files changed, 52 insertions(+)
 create mode 100644 testing/spectrwm/APKBUILD
 create mode 100644 testing/spectrwm/spectrwm.post-install

diff --git a/testing/spectrwm/APKBUILD b/testing/spectrwm/APKBUILD
new file mode 100644
index 0000000..1cbaf8e
--- /dev/null
+++ b/testing/spectrwm/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Gabriel Ruse <[email-masked]>
+# Maintainer: Gabriel Ruse <[email-masked]>
+pkgname=spectrwm
+pkgver=2.7.2
+pkgrel=0
+pkgdesc="A small dynamic tilling window manager for X11"
+url="https://github.com/conformal/spectrwm/wiki"
+arch="all"
+license="ICS"
+depends="dmenu"
+depends_dev=""
+makedepends="$depends_dev bsd-compat-headers libxcursor-dev libxft-dev 
+	libxt-dev libxrandr-dev libxcb-dev xcb-util-cursor-dev 
+	xcb-util-keysyms-dev xcb-util-wm-dev libxkbcommon-dev"
+install="$pkgname.post-install"
+subpackages="$pkgname-doc"
+source="https://github.com/conformal/spectrwm/archive/SPECTRWM_2_7_2.zip"
+
+_builddir="$srcdir/${pkgname}-$(echo ${pkgname}_${pkgver}|tr a-z. A-Z_)/linux"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir/" install || return 1
+
+	mkdir -p "$pkgdir/usr/share/doc/$pkgname"
+	install -d "$pkgdir/usr/share/man/man1"
+	install -m644 ../*.1 "$pkgdir"/usr/share/man/man1/ || return 1
+	install -m644 ../*.conf "$pkgdir"/usr/share/doc/"$pkgname" || return 1
+	install -m644 ../baraction.sh ../initscreen.sh ../screenshot.sh \
+		"$pkgdir"/usr/share/doc/"$pkgname" || return 1
+}
+
+md5sums="d5f5a73278b384e08e6ffebbaa858a94  SPECTRWM_2_7_2.zip"
+sha256sums="273db87f4ad9b6da44c3cd237836452dfff0c862d307cd53490ddff7dd7e8468  SPECTRWM_2_7_2.zip"
+sha512sums="0c42eba060aa520c16fb0474a8922a62f9ad74815ce204030e97355bcf8f4b0a05c7ff33f2f5f2ab50186834b66c553e1403c7e1d86a8f8d9e8fe4c051ab84d3  SPECTRWM_2_7_2.zip"
diff --git a/testing/spectrwm/spectrwm.post-install b/testing/spectrwm/spectrwm.post-install
new file mode 100644
index 0000000..0b16fc7
--- /dev/null
+++ b/testing/spectrwm/spectrwm.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+echo " * For example configuration files and scripts install: spectrwm-doc"
-- 
2.6.3